Bug 104447 - FILEOPEN: Very slow opening of specific file
Summary: FILEOPEN: Very slow opening of specific file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:5.3.3 target:5.3.2
Keywords: bibisected, bisected, perf, regression
Depends on:
Blocks: DOCX-Opening
  Show dependency treegraph
 
Reported: 2016-12-06 20:53 UTC by Cor Nouws
Modified: 2017-03-29 17:35 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2016-12-06 20:53:25 UTC
attachment 125028 [details] from bug 99817 opens very slow in Version: 5.4.0.0.alpha0+
Build ID: 63bf040056b64e0bf32a36277c54deee566de4fc
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-12-06_00:37:50
Locale: nl-NL (nl_NL.UTF-8); Calc: group

seems a bit faster in 5.1.6, but..

4.0.6 and 3.6.7 crash om opening..
Comment 1 Xisco Faulí 2016-12-07 16:31:16 UTC
Indeed, there seems to be a performance regression:

In Version: 5.4.0.0.alpha0+
Build ID: 18b3138a7ac4da823e41640bed8a4707029b8fb0
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

a roundtrip takes:

real	2m28.973s
user	2m22.452s
sys	0m3.040s

while in


Version: 4.5.0.0.alpha0+
Build ID: 2851ce5afd0f37764cbbc2c2a9a63c7adc844311
Locale: ca_ES

real	1m12.332s
user	1m9.364s
sys	0m0.244s
Comment 2 Aron Budea 2017-03-12 06:33:12 UTC Comment hidden (bibisection)
Comment 3 Aron Budea 2017-03-12 06:34:38 UTC
Bibisect points to the first commit referenced below. Most of it is debug code, so it's probably the pass-by-value parameter of lcl_DebugMarks?
Additionally, it's fixed in master by the second commit below (verified using repo bibisect-win-5.4).
Adding Cc: to Michael Stahl, please backport the fixing commit.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=bcc3509cdbffef6a3f371434161efbfc4fbd8e5c
author		Michael Stahl <mstahl@redhat.com>	2016-09-27 13:16:49 (GMT)
committer	Michael Stahl <mstahl@redhat.com>	2016-09-28 09:03:56 (GMT)

"sw: make the debug code in docbm.cxx usable"

https://cgit.freedesktop.org/libreoffice/core/commit/?id=f6596a35c2d9a8c365bb78e1256a2def57ee1a36
author		Michael Stahl <mstahl@redhat.com>	2017-02-03 15:48:02 (GMT)
committer	Michael Stahl <mstahl@redhat.com>	2017-02-03 17:20:07 (GMT)

"sw: make lcl_DebugMarks output more readable, pos. at the start"
Comment 4 Michael Stahl (CIB) 2017-03-20 21:10:56 UTC
oops, that was surprising.

backported

https://gerrit.libreoffice.org/#/c/35492/
Comment 5 Commit Notification 2017-03-21 16:36:21 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c7775247fbbf38cd397fd7649bf10810f27a0b4&h=libreoffice-5-3

tdf#104447 sw: make lcl_DebugMarks output more readable, pos. at the start

It will be available in 5.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-03-29 17:35:46 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-3-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=db5bde754ed1c8ab6ae1d9bf346cf954de706bb1&h=libreoffice-5-3-2

tdf#104447 sw: make lcl_DebugMarks output more readable, pos. at the start

It will be available in 5.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.